#!/usr/bin/env python
import pprint
import sys
#import time

from VOTable import parse





def main(fileName):
    votable = parse(fileName)
    nbRes=0

    # On parcourt l'ensemble des RESOURCE
    for res in votable.resources:
	nbRes+=1
	print "Resource #%d :" % nbRes
	# On recupere la 1ere table de chaque RESOURCE
	tab = res.tables[0]
	print "*** Info sur les metadonnees: ***\n"
	# Affichage des champs (FIELD)
	print "Nb FIELD : %d" % len(tab.fields)
	for field in tab.fields:
	    print "FIELD "+field.name
	    # A COMPLETER
	    print "\tucd="
	    unit = ""
	    if( (field.unit) ): unit = field.unit
	    print "\tunit="+unit

	print "********************************\n"

	# Affichage des donnees
	print "\n*** Donnees ***\n" 
	for line in tab.data:
	    for cell in line:
		print cell,
		print "\t",
	    print
	print "***************\n\n"

    
    
    return(0)





if(__name__ == '__main__'):
    sys.exit(main(sys.argv[1]))




